﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{ED5A32E6-EEE2-4519-BF19-E5ABC5203076}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>BancolombiaMDTTracking.Core</RootNamespace>
    <AssemblyName>BancolombiaMDTTracking.Core</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="irmtn.com.utils.config">
      <HintPath>dlls\irmtn.com.utils.config.dll</HintPath>
    </Reference>
    <Reference Include="irmtn.com.utils.security">
      <HintPath>dlls\irmtn.com.utils.security.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=4.5.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.4.5.11\lib\net40\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.IO.Compression.FileSystem" />
    <Reference Include="System.Net.Http.Formatting, Version=5.2.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\packages\Microsoft.AspNet.WebApi.Client.5.2.0\lib\net45\System.Net.Http.Formatting.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Http, Version=5.2.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\packages\Microsoft.AspNet.WebApi.Core.5.2.0\lib\net45\System.Web.Http.dll</HintPath>
    </Reference>
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Common\StringExtensions.cs" />
    <Compile Include="Config\ReadConfig.cs" />
    <Compile Include="Data\DataContext.cs" />
    <Compile Include="Data\Dtos\Images_Segment.cs" />
    <Compile Include="Data\Dtos\Images_SegmentDto.cs" />
    <Compile Include="Data\Dtos\Image_Segment_Photos.cs" />
    <Compile Include="Data\PetaPocoRelationExtensions.cs" />
    <Compile Include="Entities\Dto\CheckInDto.cs" />
    <Compile Include="Entities\Dto\E2EAuditDto.cs" />
    <Compile Include="Entities\Dto\FormTypeDto.cs" />
    <Compile Include="Entities\Dto\LoginDto.cs" />
    <Compile Include="Entities\Dto\TID_Dto.cs" />
    <Compile Include="Factories\DbFactory.cs" />
    <Compile Include="Models\Generated\Database.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Database.tt</DependentUpon>
    </Compile>
    <Compile Include="Models\PetaPoco.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Repository\CheckInRepository.cs" />
    <Compile Include="Repository\RepositoryBase.cs" />
    <Compile Include="Repository\UserRepository.cs" />
    <Compile Include="Repository\UserTypeRepository.cs" />
    <Compile Include="Services\CheckinService.cs" />
    <Compile Include="Services\Image_SegmentService.cs" />
    <Compile Include="Services\UserService.cs" />
    <Compile Include="Services\UserTypeService.cs" />
    <Compile Include="Utils\Debug.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="Models\Generated\PetaPoco.Core.ttinclude" />
    <None Include="Models\Generated\PetaPoco.Generator.ttinclude" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Models\Generated\Database.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <LastGenOutput>Database.cs</LastGenOutput>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <Service Include="{508349B6-6B84-4DF5-91F0-309BEEBAD82D}" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Enums\" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>